import 'package:flutter/material.dart';

class ListPage extends StatelessWidget {
  const ListPage({Key? key}) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Scaffold(
        resizeToAvoidBottomInset: false,
        backgroundColor: Theme.of(context).colorScheme.primaryContainer,
        body: ListView(
          children: [
            Row(
              children: [
                BackButton(),
              ],
            ),
            Card(
              child: Column(
                children: [
                  Row(
                    children: [
                      Text(
                        'Top Menu',
                        textAlign: TextAlign.left,
                      ),
                      Expanded(child: Container()),
                      ElevatedButton(
                          onPressed: () {
                            print('Done');
                          },
                          child: Text('Done'))
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/food.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        crossAxisAlignment: CrossAxisAlignment.start,
                        children: [
                          Text('Foods & Drinks'),
                          Text('Description of foods & drink'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/service.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Services'),
                          Text('Description of services'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/additional.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Additional'),
                          Text('Description of additional'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/firstaid.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('First Aid'),
                          Text('Description of first aid'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/ticket.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Ticket'),
                          Text('Description of ticket'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/vacation.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Vacation'),
                          Text('Description of vacation'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/transportation.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Transportation'),
                          Text('Description of transportation'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.do_not_disturb_on),
                      Icon(Icons.dehaze),
                    ],
                  ),
                ],
              ),
            ),
            Card(
              child: Column(
                children: [
                  Row(
                    children: [
                      Text(
                        'Available Menu',
                        textAlign: TextAlign.left,
                      ),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/food.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Foods & Drinks'),
                          Text('Description of foods & drink'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.add_circle),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/service.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Services'),
                          Text('Description of services'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.add_circle),
                    ],
                  ),
                  Row(
                    children: [
                      Image.asset(
                        'assets/images/additional.png',
                        width: 60,
                        height: 60,
                        fit: BoxFit.cover,
                      ),
                      Column(
                        children: [
                          Text('Additional'),
                          Text('Description of additional'),
                        ],
                      ),
                      Expanded(child: Container()),
                      Icon(Icons.add_circle),
                    ],
                  ),
                ],
              ),
            ),
          ],
        ));
  }
}
